When a version is closed, put all open bugs to the next available one
Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When a version is closed , it should be possible (maybe with an option check) to move all the open bugs to another version,

eventually selectable by the user. This would allow to move the "skipped" bugs automatically to the next version when the resolution

is not in time for the release.

History

#1 - 2010-04-18 12:02 - Jean-Philippe Lang

- Category set to Roadmap

#2 - 2013-03-17 17:04 - Ivan Cenov

This old issue needs comments? Should it be implemented or not?

IMHO, this is a little bit dangerous because automatic movement could move issues that should be resolved before version closure.

#3 - 2013-03-17 19:23 - Thomas Laguzzi

I added it three years ago, but in the meanwhile I ended up using a different workflow:

- Add a release "candidate to next version", with all the open bugs for a specific version (like redmine does)

- When a bug is closed, I move it to the specific version (ie. 3.0.0 beta 2)

in this way, only closed bugs will be added to the specific version. This avoids moves of open bugs between a version and the next one.

So, at the moment I personally don't need this anymore. Anyway a command "move all open bugs to" may be useful anyway, eventually adding it as

an option when a version gets "closed"

#4 - 2013-03-25 16:12 - Dipan Mehta

-1. This is not really obvious. This is really dependent on the workflow. I would certainly not prefer such behavior.

What might be desirable is that it shouldn't allow to 'close' the versions if the associated issues are NOT closed. This again should be done only if

there is a setting to turn-on or turn-off for this behavior.
